package com.cab.dao;


import org.apache.ibatis.annotations.Param;

import com.cab.model.CabThirdParty;

public interface CabThirdPartyMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CabThirdParty record);

    int insertSelective(CabThirdParty record);

    CabThirdParty selectByPrimaryKey(String id);
    
    int updateByPrimaryKeySelective(CabThirdParty record);

    int updateByPrimaryKey(CabThirdParty record);
    
    /**
     * 
     * @Description：根据宠爱王国用户id查询第三方绑定信息
     * @author: zhuoHeng
     * @version: 2016年4月13日 下午5:01:52
     */
    CabThirdParty selectByUserId(Integer userId);
    /**
     * 
     * @Description：根据宠爱王国用户id增加/解除第三方绑定
     * @author: zhuoHeng
     * @version: 2016年4月16日 下午12:27:24
     */
    int insertThirdParty(CabThirdParty record);
    
    CabThirdParty selectByOpenId(@Param("type")String type,@Param("openId")String openId);
}